AppendIterator::getArrayIterator
AppendIterator::getIteratorIndex
AppendIterator
PHP Manual

# AppendIterator::getInnerIterator

(PHP 5 >= 5.1.0)

AppendIterator::getInnerIterator — Gets the inner iterator

### Description

public Iterator AppendIterator::getInnerIterator ( void )

This method returns the current inner iterator.

### Parameters

This function has no parameters.

### Return Values

The current inner iterator, or `NULL` if there is not one.

### Examples

Example #1 AppendIterator::getInnerIterator() example

`<?php
$array_a = new ArrayIterator(array('a' => 'aardwolf', 'b' => 'bear', 'c' => 'capybara'));
$array_b = new RegexIterator($array_a, '/^[ac]/');
$iterator = new AppendIterator;
$iterator->append($array_a);
$iterator->append($array_b);
foreach ($iterator as $current) {
$inner = $iterator->getInnerIterator();
if ($inner instanceOf RegexIterator) {
echo 'Filtered: ';
} else {
echo 'Original: ';
}
echo $current . PHP_EOL;
}
?>`

The above example will output:

    Original: aardwolf
    Original: bear
    Original: capybara
    Filtered: aardwolf
    Filtered: capybara

### See Also

- AppendIterator::getIteratorIndex() - Gets an index of iterators

AppendIterator::getArrayIterator
AppendIterator::getIteratorIndex
AppendIterator
PHP Manual